git.net

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Request help w/pip install jq


On 2020-07-19 15:46, Ed Walser wrote:
> Hi all,
> 
> I've tried installing jq several times in my local environment, but it
> fails, saying it can't find a file that pip downloads.  Here is the entire
> pip output:
> 
> (base) C:\Users\edwal>pip install jq
> 
> Collecting jq
> 
>    Downloading jq-1.0.2.tar.gz (57 kB)
> 
>       |????????????????????????????????| 57 kB 703 kB/s
> 
>    Installing build dependencies ... done
> 
>    Getting requirements to build wheel ... done
> 
>      Preparing wheel metadata ... done
> 
> Building wheels for collected packages: jq
> 
>    Building wheel for jq (PEP 517) ... error
> 
>    ERROR: Command errored out with exit status 1:
> 
>     command: 'C:\Users\edwal\anaconda3\envs\planet1\python.exe'
> 'C:\Users\edwal\anaconda3\envs\planet1\lib\site-packages\pip\_vendor\pep517\_in_process.py'
> build_wheel 'C:\Users\edwal\AppData\Local\Temp\tmpd0skcxv2'
> 
>         cwd: C:\Users\edwal\AppData\Local\Temp\pip-install-bwgrrs8c\jq
> 
>    Complete output (7 lines):
> 
>    running bdist_wheel
> 
>    running build
> 
>    running build_ext
> 
>    Downloading
> https://github.com/kkos/oniguruma/releases/download/v6.9.4/onig-6.9.4.tar.gz
> 
>    Downloaded
> https://github.com/kkos/oniguruma/releases/download/v6.9.4/onig-6.9.4.tar.gz
> 
>    Executing: ./configure CFLAGS=-fPIC
> --prefix=C:\Users\edwal\AppData\Local\Temp\pip-install-bwgrrs8c\jq\_deps\onig-install-6.9.4
> 
>    error: [WinError 2] The system cannot find the file specified
> 
>    ----------------------------------------
> 
>    ERROR: Failed building wheel for jq
> 
> Failed to build jq
> 
> ERROR: Could not build wheels for jq which use PEP 517 and cannot be
> installed directly
> 
I notice a mention of Anaconda in the traceback. Are you using Anaconda 
instead of the standard Python from python.org?

If so, try using "conda" instead of "pip".